You are not logged in.

#1 2018-10-30 14:03:03

ivan52x53
Member
Registered: 2018-10-30
Posts: 2

Unable to install awesome wm

Greetings,

I'm unable to install awesome wm. This is the error I get:

:: Proceed with installation? [Y/n] Y
:: Retrieving packages...
error: failed retrieving file 'libxdg-basedir-1.2.0-3-i686.pkg.tar.xz' from arch32.mirrors.simplysam.us : The requested URL returned error: 404
error: failed retrieving file 'libxdg-basedir-1.2.0-3-i686.pkg.tar.xz' from mirror.datacenter.by : The requested URL returned error: 404
error: failed retrieving file 'libxdg-basedir-1.2.0-3-i686.pkg.tar.xz' from archlinux32.mirror.roelf.org : SSL certificate problem: certificate has expired
error: failed retrieving file 'libxdg-basedir-1.2.0-3-i686.pkg.tar.xz' from archlinux32.vollzornbrot.de : The requested URL returned error: 404
error: failed retrieving file 'libxdg-basedir-1.2.0-3-i686.pkg.tar.xz' from archlinux32.vollzornbrot.de : SSL certificate problem: unable to get local issuer certificate
error: failed retrieving file 'libxdg-basedir-1.2.0-3-i686.pkg.tar.xz' from mirror.archlinux32.org : The requested URL returned error: 404
error: failed retrieving file 'libxdg-basedir-1.2.0-3-i686.pkg.tar.xz' from mirror.archlinux32.org : The requested URL returned error: 404
error: failed retrieving file 'libxdg-basedir-1.2.0-3-i686.pkg.tar.xz' from mirror.archlinux32.oss : Could not resolve host: mirror.archlinux32.oss
error: failed retrieving file 'libxdg-basedir-1.2.0-3-i686.pkg.tar.xz' from ind.mirror.archlinux32.org : The requested URL returned error: 404
error: failed retrieving file 'libxdg-basedir-1.2.0-3-i686.pkg.tar.xz' from jpn.mirror.archlinux32.org : The requested URL returned error: 404
error: failed retrieving file 'libxdg-basedir-1.2.0-3-i686.pkg.tar.xz' from mex.mirror.archlinux32.org : The requested URL returned error: 404
error: failed retrieving file 'libxdg-basedir-1.2.0-3-i686.pkg.tar.xz' from mirror.yandex.ru : The requested URL returned error: 404
error: failed retrieving file 'libxdg-basedir-1.2.0-3-i686.pkg.tar.xz' from mirror.yandex.ru : The requested URL returned error: 404
error: failed retrieving file 'libxdg-basedir-1.2.0-3-i686.pkg.tar.xz' from sgp.mirror.archlinux32.org : The requested URL returned error: 404
error: failed retrieving file 'libxdg-basedir-1.2.0-3-i686.pkg.tar.xz' from 32.arlm.tyzoid.com : The requested URL returned error: 404
error: failed retrieving file 'libxdg-basedir-1.2.0-3-i686.pkg.tar.xz' from mirror.math.princeton.edu : The requested URL returned error: 404
warning: failed to retrieve some files
error: failed to commit transaction (unexpected error)
Errors occurred, no packages were upgraded.

Seems like something out of my league, thus I'm thankful for help!

Offline

#2 2018-10-30 14:20:51

levi
Moderator
From: UK
Registered: 2018-06-16
Posts: 201

Re: Unable to install awesome wm

Your mirrorlist seems to be out of date.  A quick check reveals the simplysam url isn't in my newest mirrorlist.  I was able to download libxdg-basedir using my mirrorlist, which is a little behind the times but not as far as yours it seems.  Periodically you need to merge your existing mirrorlist and the newer mirrorlist.pacnew that you might find in /etc/pacman.d.

You always need to consider doing this after an upgrade that upgrades your mirrorlist, because you need to modify your mirrorlist to enable the repos you want to use, that's considered a modified file by pacman, and requires manual intervention to update.

If on the other hand you've never done an update and are running on an old image, installing extra things without updating the base system is not a supported way of working with archlinux (and by extension, archlinux 32).  You'll need to do some extra work to recover a system that's got into that kind of a mess, but please check if you've got a newer mirrorlist.pacnew you can use to recover your system first.

Offline

#3 2018-10-30 14:28:04

ivan52x53
Member
Registered: 2018-10-30
Posts: 2

Re: Unable to install awesome wm

My list was generated 2017/11/5 which is quite a while ago. I've never updated this system. I set it up some months ago and haven't touched it that much.

So I just have to update the system then?

Offline

#4 2018-10-30 17:45:27

andreas_baumann
Administrator
From: Zurich, Switzerland
Registered: 2017-08-10
Posts: 568
Website

Re: Unable to install awesome wm

Check out the "Transition from the Official Repositories" section in
https://archlinux32.org/download/

First migrate to the new mirrors, then go through the key transition.

Also when you are very much behind, some problems might arise, for
instance I encountered a problem with some font stuff, see:
https://bbs.archlinux32.org/viewtopic.php?id=2601

AUR packages you have to rebuild, usually adding 'i686' to the 'arch' variable
and doing a rebuild is enough.

Good luck. :-)

Offline

#5 2018-10-30 21:37:36

deep42thought
Administrator
From: Jena, Germany
Registered: 2017-06-17
Posts: 347

Re: Unable to install awesome wm

If I interpret the errors correctly, ivan52x53 already migrated to archlinux32.
The problem is, that you'll need to run "pacman -Syu" before trying to install packages - otherwise you'll end up with "partial upgrades" which are unsupported.

Regards,
deep42thought

Offline

Board footer

Powered by FluxBB